Update field

PUT/v2/datasets/{dataset_id}/fields/{field_id}

Parameters #

PropertyTypeLocationDescription
dataset_idstringRequiredpath
field_idstringRequiredpath

Body #

application/json
PropertyTypeDescription
descriptionstringDescription of the field
hiddenbooleanWhether the field is hidden
namestringRequiredName of the field
typestringRequiredType of the field
unitstringUnit of the field

Request #

curl -X PUT 'https://api.axiom.co/v2/datasets/DATASET_ID/fields/FIELD_ID' \
  -H 'Authorization: Bearer API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"description":"string","hidden":true,"name":"string","type":"string","unit":"string"}'
Try itRun this request against your Axiom organization

Credentials stay in this browser tab and are only sent to Axiom when you run the request.

Response #

200DatasetField
application/json
PropertyTypeDescription
descriptionstringDescription of the field
hiddenbooleanWhether the field is hidden
namestringRequiredName of the field
typestringRequiredType of the field
unitstringUnit of the field